/* bits/struct_stat.h: The stat structure. */

#ifndef _BITS_STRUCT_STAT_H
#define _BITS_STRUCT_STAT_H

#include <bits/timespec.h>
#include <sys/types.h>

struct stat
{
    ino_t st_ino;
    mode_t st_mode;
    nlink_t st_nlink;
    dev_t st_dev;
    uid_t st_uid;
    gid_t st_gid;
    off_t st_size;
    dev_t st_rdev;
    struct timespec st_atim;
    struct timespec st_mtim;
    struct timespec st_ctim;

#define st_atime st_atim.tv_sec
#define st_mtime st_mtim.tv_sec
#define st_ctime st_ctim.tv_sec
};

#endif
